Chuyển đến nội dung
Diễn đàn CADViet
Nguyen Hoanh

Giao diện hộp thoại trong AutoLisp

Các bài được khuyến nghị

hay quá bác ơi. vậy là ý tưởng ấp ủ mấy năm nay. sắp sửa thành hiện thực. thank bac nhiều.để em thử, có gì còn sư giup do cua bac. bac co tai liệu gi về ghép file dcl vao lisp cho em với a

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 bác hà ơi. lại có 1 vấn đề  nhờ bác ở dây cái ví dụ của em nó là 1 thu viện bằng líp G.lsp. (do là 1 hộp thoại dcl)...nhưng khi e khong chọn cái này (esc hoac cancel) thi hộp thoại dcl thu viện kia vẫn hiện lên. giúp em voi bac ơi

http://www.cadviet.com/upfiles/3/122369_wqwq_1.zip

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 bác hà ơi. lại có 1 vấn đề  nhờ bác ở dây cái ví dụ của em nó là 1 thu viện bằng líp G.lsp. (do là 1 hộp thoại dcl)...nhưng khi e khong chọn cái này (esc hoac cancel) thi hộp thoại dcl thu viện kia vẫn hiện lên. giúp em voi bac ơi

http://www.cadviet.com/upfiles/3/122369_wqwq_1.zip

Có đúng Y/C ko?http://www.cadviet.com/upfiles/3/2860_gf2.zip

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ý của em là vậy.khi em gõ dd và chon số 1. thì xuất hiện hộp thoai thư viên bu long " hinh số 2"thì dó là ok. tr hợp 2 khi em gõ dd. bây giờ em ấn "cancel" hoac esc (tren ban phim) de thoat. nhưng nó vẫn xuất xuất hiên hop thoai "thu vien bu long". tất cả đều tương tu với các lenh khac mà em thu nghiem. ý  của em là sẽ thoát êm " không lua chon gi" xin nhờ 2 bác giúp em với122369_333.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sửa:

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 
(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 

Thành:

(action_tile "cancel" "(setq ddiag 0) (done_dialog)")

Rút kinh nghiệm lần sau không post file thừa lên làm khổ sở khi down.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sửa:

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 
(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 

Thành:

(action_tile "cancel" "(setq ddiag 0) (done_dialog)")

Rút kinh nghiệm lần sau không post file thừa lên làm khổ sở khi down.

vẫn chưa được bác a, bác check lai dum em

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

File nặng quá! Bạn nên rút kinh nghiệm theo lời của bác DoanVanHa!

- Một ý nữa : cancel là từ khoá, accept là từ khoá -> buộc phải viết đúng, đúng cả chữ thường,

cancelaccept đều viết thường, bạn viết như vậy là sai Cancel Accept

Bạn lưu ý sửa lại nếu không sẽ chạy ra như cái bạn đã thấy rồi đó!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

@Tue_NV: bạn í đặt key="cancel" chứ không phải Cancel nguyên thủy.

@Nguyen: 1 lần biểu bạn sửa mấy dòng cuối bạn lại rên không được. Bây giờ sửa 1 dòng bạn lại rên không được nữa.

Tôi chỉ sửa đúng 1 dòng từ 1 thành 0 đây.

Tôi thấy trách nhiệm với chính công việc của bạn không được tốt lắm thì phải?

http://www.cadviet.com/upfiles/4/67029_dung_sai.zip

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn 

 

@Tue_NV: bạn í đặt key="cancel" chứ không phải Cancel nguyên thủy.

@Nguyen: 1 lần biểu bạn sửa mấy dòng cuối bạn lại rên không được. Bây giờ sửa 1 dòng bạn lại rên không được nữa.

Tôi chỉ sửa đúng 1 dòng từ 1 thành 0 đây.

Tôi thấy trách nhiệm với chính công việc của bạn không được tốt lắm thì phải?

http://www.cadviet.com/upfiles/4/67029_dung_sai.zip

cảm ơn bác hà nhiều. lần sau em sẽ rút kinh nghiệm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ở đây mỗi block chính là 1 bản vẽ, khong biết autolisp có cách nào gom tất cả các bản vẽ trên mà vẫn đúng như yêu cầu không các bác. và sửa nhu thế nào trong gf2.lsp và g.dcl tương ứng... cảm ơn anh em cad viet trước ạ. e xin phép khong up file vì đã up ở http://www.cadviet.vn/caddata/?act=download45#http://www.cadviet.com/upfiles/3/122369_wqwq_1.zip

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

[Help]

E chào các a, tình hình là khi e tọa hộp hội thoại trong cad thì bị lỗi là khi mình chọn hình và click điển “A” nhưng hình lại ở mãi điểm “B”, các a có biết lỗi gì và cách khắc phục không ah. Thanks for all.136020_2222.jpg136020_3333333.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Khi tạo Block tương ứng với action, bạn nhớ Pick point ở mục Base Point, chọn một điểm gần nhóm tạo Block nhất có thể, đừng để nó mặc định 0, 0, 0

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ý của bác có phải tạo block như trong hình p k ah? nhưng khi tạo file *.sld từ file cad thì đâu cần tạo block đâu ah. mà đóng block vào rùi thì khi xuất ra hình cũng là block thì không tiện chút nào.136020_22.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

E tạo 1 file menu load vào file menuload. khi mình vẽ hình ntnao thì xuất ra hình như thế. e xin dk một file mẫu nên bgio đành dùng cách 2 lúa là vẽ hình trên cái file đó zùi insert vào. thế là đk. hơi mất tg. 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tiện e xin hỏi thêm các cao nhân 1 câu nữa. bình thường e toàn p vào thanh menu để lấy các folder. liệu có thể chuyển thành lệnh để gọi các folder đó 136020_222222.jpg136020_2222_1.jpgđk k ah?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Gọi menu bằng lệnh như này

(Defun C:goimenu ( )

(menucmd "i=TIENICH.goimenu")(menucmd "i=*")

 (Princ)

)

(Defun C:HATCHDUY ( ) 
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)
(Defun C:HATCHDUY ( ) 
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)
(Defun C:HATCHDUY ( ) 
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hy vọng bạn biết dùng lisp.

 

(Defun C:goimenu ( )

(menucmd "i=FORM.FORM")(menucmd "i=*")

 (Princ)

)

(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)

 

(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)
(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)
(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hi. E làm được rùi. Các ơn các bác đã quan tâm và chỉ giáo. Chúc ae trong diễn đàn Cadviet luôn mạnh khỏe và thành công trong cuộc sống. Thanks for all !!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×